/* ============================================================================
 *  "Hello OpenGL ES" Application UI class.
 *
 *  Eurographics 2006 course on mobile graphics.
 *
 *  Copyright: Jani Vaarala
 * ============================================================================
*/

#include "EGTriangleAppui.h"
#include "EGTriangleContainer.h" 

#include <avkon.hrh>

void CEGTriangleAppUi::ConstructL()
{
    BaseConstructL();

    iAppContainer = new (ELeave) CEGTriangleContainer;
    iAppContainer->SetMopParent( this );
    iAppContainer->ConstructL( ClientRect() );
    AddToStackL( iAppContainer );
}

CEGTriangleAppUi::~CEGTriangleAppUi()
{
    if (iAppContainer)
    {
        RemoveFromStack( iAppContainer );
        delete iAppContainer;
    }
}

void CEGTriangleAppUi::DynInitMenuPaneL(
    TInt /*aResourceId*/,CEikMenuPane* /*aMenuPane*/)
{
}

TKeyResponse CEGTriangleAppUi::HandleKeyEventL(
    const TKeyEvent& /*aKeyEvent*/,TEventCode /*aType*/)
{
    return EKeyWasNotConsumed;
}

void CEGTriangleAppUi::HandleCommandL(TInt aCommand)
{
    switch ( aCommand )
    {
        case EAknSoftkeyBack:
        case EEikCmdExit:
        {
            Exit();
            break;
        }
        default:
            break;      
    }
}
