/* ============================================================================
 *  "Hello OpenGL ES" Application View (Container) class.
 *
 *  Eurographics 2006 course on mobile graphics.
 *
 *  Copyright: Jani Vaarala
 * ============================================================================
*/

#include "EGTriangleContainer.h"
#include "EGTriangleGL.h"
#include <GLES/gl.h>

void CEGTriangleContainer::ConstructL(const TRect& /* aRect */)
{
    iGLInitialized = EFalse;

    CreateWindowL();
    SetExtentToWholeScreen();
    ActivateL();

    CEGTriangleGL* gl = new (ELeave) CEGTriangleGL( );
    gl->Construct(Window());

    iGLInitialized = ETrue;
}

CEGTriangleContainer::~CEGTriangleContainer()
{
}

void CEGTriangleContainer::SizeChanged()
{
    if(iGLInitialized)
    {
        glViewport(0,0,Size().iWidth,Size().iHeight);
    }
}

void CEGTriangleContainer::HandleResourceChange(TInt aType)
{
    switch( aType )
    {
        case KEikDynamicLayoutVariantSwitch:
	    SetExtentToWholeScreen();
	    break;
    }
}


TInt CEGTriangleContainer::CountComponentControls() const
{
    return 0;
}

CCoeControl* CEGTriangleContainer::ComponentControl(TInt /* aIndex */) const
{
    return NULL;
}

void CEGTriangleContainer::Draw(const TRect& /* aRect */) const
{
}

void CEGTriangleContainer::HandleControlEventL(
    CCoeControl* /*aControl*/,TCoeEvent /*aEventType*/)
{
}
